commit 11f6b4c7d34582a3b046345dd67d576b3fef920f
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Fri Nov 14 14:17:14 2025 +0000

    DMARC: fix history-file ARC reporting, under dynamic build

diff --git a/src/src/miscmods/dmarc_common.c b/src/src/miscmods/dmarc_common.c
index 168e7da8e..059b31167 100644
--- a/src/src/miscmods/dmarc_common.c
+++ b/src/src/miscmods/dmarc_common.c
@@ -418,6 +418,9 @@ g = string_fmt_append(g, "align_dkim %d\n"
   gstring * g2 = NULL;
   typedef const uschar * (*fn_t)(gstring **);
 
+  if (!dmarc_arc_mod_info)
+    dmarc_arc_mod_info = misc_mod_findonly(US"arc");
+
   if (  dmarc_arc_mod_info
      && (s = (((fn_t *) dmarc_arc_mod_info->functions)[ARC_ARCSET_INFO]) (&g2)))
     {
@@ -437,7 +440,7 @@ g = string_fmt_append(g, "align_dkim %d\n"
   else
 
 # endif
-    g = string_fmt_append(g, "arc %d\narc_policy %d json:[]\n",
+    g = string_fmt_append(g, "arc %d\narc_policy %d json[ ]\n",
 		      ARES_RESULT_UNKNOWN, DMARC_ARC_POLICY_RESULT_UNUSED);
   }
 #endif

